Subject: Re: [PATCH net] netlink, mmap: transform mmap skb into full skb on taps

From: Daniel Borkmann <[email-masked]>
Date: Sat, 12 Sep 2015 00:18:54 +0200

On 09/11/2015 11:34 PM, David Miller wrote:
...
> Another approach would be to put the mmap user data into a page frag,
> but that obviously has some costs associated with it.  However,
> nothing in netlink is ready for fragged skbs yet.  It's the reason why
> we have the large skb via vmalloc facility.
>
> Long term fixing that is probably the way to go, but that would be an
> enormous project.

Yeah, that could resolve it.